/*
 * Example of an entity class
 * Written by Giulio Destri
 * (C)AREA Solutions Providers - 2007
 */

package middletier;

/**
 *
 * @author gdestri
 */
public class Person {
    // ATTRIBUTES
    private String firstName;
    private String lastName;
    private String code;

    // CONSTRUCTORS 
    public Person()
    {
        // "empty" person
        firstName = "";
        lastName = "";
        code = "";
    }

    public Person(String p_firstName, String p_lastName, String p_code)
    {
        // initializes person
        firstName = p_firstName;
        lastName = p_lastName;
        code = p_code;
    }

    // METHODS
    public void setPerson(String p_firstName, String p_lastName, String p_code)
    {
        // initializes person
        setFirstName(p_firstName);
        setLastName(p_lastName);
        setCode(p_code);
    }

    public String getValues()
    {
        return "Name: "+getFirstName() + " " +
               "Surname: " + getLastName() + " " +
               "Code: " +getCode();

    }

    public // ATTRIBUTES
    String getFirstName() {
        return firstName;
    }

    public void setFirstName(String p_firstName) {
        this.firstName = p_firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String p_lastName) {
        this.lastName = p_lastName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String p_code) {
        this.code = p_code;
    }
   
} // end class Person
